import { mount, shallowMount } from '@vue/test-utils';
import menuModal from '@/iss-components/site-header/menu-modal/menu-modal.vue';

describe('menu-modal.vue', () => {
    it('Should return text Footer Navigation', async () => {
        // Act
        const wrapper = shallowMount(menuModal);

        // Assert
        const footerModalLabel = wrapper.find('h5');

        // Expect
        expect(footerModalLabel.text()).toContain('Footer Navigation');
    });

    it('Should return footer text as Safelite Group', async () => {
        // Act
        const wrapper = shallowMount(menuModal);

        // Assert
        const modalFooter = wrapper.find('div.modal-footer');

        // Expect
        expect(modalFooter.text()).toContain('Safelite Group');
    });

    it('Should return Terms of use text link text', async () => {
        // Act
        const wrapper = shallowMount(menuModal);

        // Expect
        expect(wrapper.html()).toContain('Terms of service');
    });

    it('Should return "Your privacy choices" text link text', async () => {
        // Act
        const wrapper = mount(menuModal);

        // Expect
        expect(wrapper.html()).toContain('Your privacy choices');
    });

    it('Should return Warranty text link text', async () => {
        // Act
        const wrapper = shallowMount(menuModal);

        // Expect
        expect(wrapper.html()).toContain('Warranty');
    });
});
